# run file with command 'ruby Airplane.rb'

class Airplane

    attr_reader   :speed, :id

    def initialize(id, speed)
        @id    = id
        self.speed = speed
    end

    def speed=(speed)
        @speed = speed
    end

end

class Jet < Airplane

    @@MULTIPLIER = 2

    def initialize(id, speed)
        super(id, speed)
    end

    def speed=(speed)
        super(speed * @@MULTIPLIER)
    end

    def accelerate()
        @speed = @speed * 2
    end

end

jet1 = Jet.new(1, 100)
puts "Jet 1's speed is #{jet1.speed}"
jet1.speed = 212
puts "Jet 1's speed is #{jet1.speed}"

puts

jet2 = Jet.new(2, 100)
puts "Jet 2's speed is #{jet2.speed}"
jet2.speed = 212
puts "Jet 2's speed is #{jet2.speed}"
jet2.accelerate()
puts "Jet 2's speed is #{jet2.speed}"
